Loading...
Searching...
No Matches
itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage > Class Template Reference

`#include <itkMultiResolutionShrinkPyramidImageFilter.h>`

## Detailed Description

template<class TInputImage, class TOutputImage>
class itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >

Framework for creating images in a multi-resolution pyramid.

MultiResolutionShrinkPyramidImageFilter simply shrinks the input images. No smoothing or any other operation is performed. This is useful for example for registering binary images.

See also
  ShrinkImageFilter

Definition at line 39 of file itkMultiResolutionShrinkPyramidImageFilter.h.

Inheritance diagram for itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = MultiResolutionShrinkPyramidImageFilter
using | Superclass = MultiResolutionPyramidImageFilter<TInputImage, TOutputImage>

## Public Member Functions

void | GenerateInputRequestedRegion () override
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (MultiResolutionShrinkPyramidImageFilter)
| itkStaticConstMacro (ImageDimension, unsigned int, TInputImage::ImageDimension)
| itkStaticConstMacro (OutputImageDimension, unsigned int, TOutputImage::ImageDimension)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
| MultiResolutionShrinkPyramidImageFilter ()=default
| ~MultiResolutionShrinkPyramidImageFilter () override=default

## Member Typedef Documentation

## ConstPointer

template<class TInputImage, class TOutputImage>

using itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 49 of file itkMultiResolutionShrinkPyramidImageFilter.h.

## Pointer

template<class TInputImage, class TOutputImage>

using itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::Pointer = SmartPointer<Self>

Definition at line 48 of file itkMultiResolutionShrinkPyramidImageFilter.h.

## Self

template<class TInputImage, class TOutputImage>

using itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::Self = MultiResolutionShrinkPyramidImageFilter

Standard class typedefs.

Definition at line 46 of file itkMultiResolutionShrinkPyramidImageFilter.h.

## Superclass

template<class TInputImage, class TOutputImage>

using itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::Superclass = MultiResolutionPyramidImageFilter<TInputImage, TOutputImage>

Definition at line 47 of file itkMultiResolutionShrinkPyramidImageFilter.h.

## Constructor & Destructor Documentation

## MultiResolutionShrinkPyramidImageFilter()

template<class TInputImage, class TOutputImage>

itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::MultiResolutionShrinkPyramidImageFilter | ( |  | ) |

protected default

## ~MultiResolutionShrinkPyramidImageFilter()

template<class TInputImage, class TOutputImage>

itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::~MultiResolutionShrinkPyramidImageFilter | ( |  | ) |

override protected default

## Member Function Documentation

## GenerateData()

template<class TInputImage, class TOutputImage>

void itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::GenerateData | ( |  | ) |

override protected

Generate the output data.

## GenerateInputRequestedRegion()

template<class TInputImage, class TOutputImage>

void itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::GenerateInputRequestedRegion | ( |  | ) |

override

Overwrite the Superclass implementation: no padding required.

## GetClassName()

template<class TInputImage, class TOutputImage>

virtual const char * itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::FixedShrinkingPyramid< TElastix >, and elastix::MovingShrinkingPyramid< TElastix >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage, class TOutputImage>

itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage > |  | ) |

## itkStaticConstMacro() [1/2]

template<class TInputImage, class TOutputImage>

itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | TInputImage::ImageDimension | )

ImageDimension enumeration.

## itkStaticConstMacro() [2/2]

template<class TInputImage, class TOutputImage>

itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::itkStaticConstMacro | ( | OutputImageDimension | ,
|  | unsigned int | ,
|  | TOutputImage::ImageDimension | )

## New()

template<class TInputImage, class TOutputImage>

Pointer itk::MultiResolutionShrinkPyramidImageFilter< TInputImage, TOutputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

Generated on 1768596610 for elastix by 1.15.0 |